Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::DOMAttributes Class Reference

Interface that represents attribute from underlying XML parser. More...

`#include <DOMDocument.h>`

Inheritance diagram for FIX::DOMAttributes:
[legend]

List of all members.

## Public Types

typedef std::map< std::string, std::string > | map

## Public Member Functions

virtual | ~DOMAttributes ()
virtual bool | get (const std::string &, std::string &)=0
virtual map | toMap ()=0

## Detailed Description

Interface that represents attribute from underlying XML parser.

Definition at line 33 of file DOMDocument.h.

## Member Typedef Documentation

typedef std::map<std::string, std::string> FIX::DOMAttributes::map

Definition at line 36 of file DOMDocument.h.

## Constructor & Destructor Documentation

virtual FIX::DOMAttributes::~DOMAttributes | ( |  | ) | `[inline, virtual]`

Definition at line 38 of file DOMDocument.h.

    00038 {}

## Member Function Documentation

virtual bool FIX::DOMAttributes::get | ( | const std::string & | ,
|  | std::string & |  |
| ) |  |  | `[pure virtual]`

Implemented in FIX::LIBXML_DOMAttributes, and FIX::MSXML_DOMAttributes.

virtual map FIX::DOMAttributes::toMap | ( |  | ) | `[pure virtual]`

Implemented in FIX::LIBXML_DOMAttributes, and FIX::MSXML_DOMAttributes.

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/DOMDocument.h